﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=7
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Public BANAno As BANano
	Public ThemesMap As Map
	Public Pulse As Boolean
	Private properties As Map
End Sub


Sub Init
	ThemesMap.Initialize 
	Pulse = False
	properties.Initialize 
	Log(ThemeExist("mashy"))
End Sub

'get whether a theme exists
Sub ThemeExist(themeName As String) As Boolean
	themeName = themeName.ToLowerCase
	Dim bExist As Boolean = ThemesMap.ContainsKey(themeName)
	Return bExist
End Sub

'remove the delimiter
Sub RemDelim(sValue As String, Delim As String) As String
	'SOLUTION: dim ew as boolean = svalue.endswith(delim)
	'if ew Then
	If sValue.EndsWith(Delim) Then
		Dim lDelim As Int = Delim.Length
		Dim nValue As String = sValue
		Dim ew As Boolean = nValue.EndsWith(Delim)
		If ew Then
			nValue = nValue.SubString2(0, nValue.Length-lDelim)
		End If
		Return nValue
	Else
		Return sValue
	End If
End Sub

'add a class
Sub AddClass(sClass As String)
	'SOLUTION: dim bc as boolean = sClass.Contains("pulse")
	'if bc Then
	If sClass.Contains("pulse") Then
		Pulse = True
	End If
End Sub

Sub AddDataAttribute(attribute As String, value As String)
	'SOLUTION: Dim sw as boolean = attribute.StartsWith("data-")
	'if sw
	If attribute.StartsWith("data-") Then
		AddAttribute(attribute,value)
	Else
		AddAttribute("data-" & attribute,value)
	End If
End Sub

'set attribute
public Sub AddAttribute(skey As String, svalue As String)
	skey = skey.trim
	svalue = svalue.trim
	If skey.Length > 0 And svalue.Length > 0 Then
		properties.Put(skey,svalue)
	Else
		properties.Remove(skey)
	End If
End Sub
